Announcement

Collapse
No announcement yet.

4.0 upgrade - DON'T DO IT if you have any Mods - and probably, don't do it period!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Originally posted by steven s View Post
    I don't necessarily agree.
    A smart admin create backups, tests to make an educated decision.
    They don't blame others for their mistakes. They need to take some responsibility for their actions.
    Of course you should always make backups... And first test vb4 on a duplicate database before upgrading the live board.

    Comment


    • #17
      ....similar problem
      Last edited by teenhut; Sun 27 Dec '09, 1:31pm.

      Comment


      • #18
        Originally posted by teenhut View Post
        ....similar problem
        Similar in that you updated your forum without any regard to previous mods or backups?
        ...steven
        www.318ti.org (vB3.8) | www.nccbmwcca.org (vB4.2)
        bmwcca.org/forum | m135i.net
        "I tried to clean this up but this thread is beyond redemption." - Steve Machol

        Comment


        • #19
          Originally posted by steven s View Post
          Similar in that you updated your forum without any regard to previous mods or backups?
          I made a new thread for my problem. So edited out.

          I disabled all mods and installed the VB4, it all worked perfectly. It was working in VB4 till this evening, its just now I see the site stopped working suddenly without any reason. Asked other admins if they did anything and they say they didnt.

          www.teenhut.net/index.php

          Comment


          • #20
            Yeah, I would have done a mysqldump and copied the entire contents of the install off to another directory just in case.

            It sucks that your forum is down and you can't get help, but this could have been mitigated by a bit of care on your part, especially given how unstable vb4 seems to be.

            Comment


            • #21
              Originally posted by steven s View Post
              I don't necessarily agree.
              A smart admin create backups, tests to make an educated decision.
              They don't blame others for their mistakes. They need to take some responsibility for their actions.
              This.

              And as Mark B suggested, this is by no means a limitation of the VB4 software, which in my opinion is definitely not 'plain jane'. The software has reinvigorated my board, and given it a great lease of life!

              I suppose the lesson that you've learned (albeit it bitterly!) is that you must create back ups. At least you didn't do this with your major board!!

              Comment


              • #22
                Originally posted by dutchbb View Post
                Smart admins wait until all mods are ported... You can only blame yourself for this.
                Smart admins run test sites, and fully test any major upgrades (and most minor changes) on them before going anywhere near their live forum.
                Baby, I was born this way

                Comment


                • #23
                  Here is what I did before I upgraded and the upgrade went smooth as silk with no errors. I disabled all products in 'Manage Products in the Admin CP first. Then I went into the includes folder, located my config.php file and added this, define('DISABLE_HOOKS', true); Backed up all files and databases, then did the upgrade. I had no problems. Before you subject your community files to be lost forever, do your homework, there is so much valuable information available on this site you to read and learn, this decrees your chances of this happening. The other option is to let the vB team install it for you, then you have no worries, all for hefty price of coarse!! Cheers

                  Comment


                  • #24
                    Mumbo jumbo by the the thread starter. Read the Read me files and all the valuable tips on this site before upgrading, and for Gods sake, make a backup first! I also had a 3.8.4 forum with mods. Disabled and upgraded, everything works perfectly. The ones who complain and must use a third party for reinstall of 3.8.4 version, because they didn't make a backup - they simply don't have ANY kind of sympathy whatsoever. I'm sorry for the somewhat harsh words, but it's the truth.
                    Last edited by Garamond; Sun 27 Dec '09, 2:27pm.

                    Comment


                    • #25
                      Originally posted by MDawg View Post
                      The point of this thread is to forget about 4.0 unless you want a plain Jane forum that is inferior to a rocking 3.8.4 + Mods forum.

                      At the moment, I can't even have a plain Jane forum, as 4.0 doesn't work at all.


                      !!!
                      Jason Craig – Partner
                      Wet Coast Sports LTD
                      Fishing Reviews TVBC Fishing ReportsFly Fish BCFly Tying Bug

                      Comment


                      • #26
                        If you have mods that store data in the database then you simply cannot upgrade to vb4 until the mods are ported AND an upgrade script/solution is there. Unless you permanently want to be rid of the data stored by the mods.
                        You need to uninstall all mods, before upgrading to vb4.
                        Many mods remove the related database entries, when you uninstall them.
                        So unless you know how to get the data back from a DB backup it seems to me that its all lost forever.

                        Or is there another solution?
                        I buy 420 forums

                        Comment


                        • #27
                          Disable the mod, don't uninstall it.

                          Comment


                          • #28
                            Originally posted by MDawg View Post
                            I was running 3.8.4 on two forums.

                            One of the forums gets a LOT of traffic, the other not so much yet.

                            I decided to try the 4.0 upgrade on the lesser traveled forum (fortunately). My forum immediately went kaput - couldn't even access the forum front page or Admin control panel. This was on December 24th.

                            Eventually vbulletin tech support suggested that I edit my vBulletin config.php file currently on the server by adding the following line after the <?php line:

                            define('DISABLE_HOOKS', true);

                            to disable all mods.

                            Forum is still dead. No matter which forum I click on, I get the error: Invalid Forum specified. The blog is completely dead too - evidently vbulletin never thought to provide a free blog update for those of us who paid for both forum and blog.

                            Anyway, my forum has been dead for four days now. In my tech support thread, someone appears to have promised to revert my forum to 3.8.4, but nothing has been done yet. Still waiting.
                            Check with your domain name host that your domain name is still active. You might have to do what I have to do and that is pay for an extra year.
                            Also telling people not to upgrade is pointless.
                            If you want to revert try it yourself. You should know what to do. Admincp > styles > revert > yes > save
                            Aussiefootyforums

                            New Site New forum
                            Come and talk sports all day long


                            Comment


                            • #29
                              Originally posted by Alfa1 View Post
                              You need to uninstall all mods, before upgrading to vb4.
                              I already told you before that this is incorrect. I didn't uninstall any of the mods I planned to upgrade before I upgraded my site. I simply disabled them. That is even what Ray told everyone to do when the first beta went public. Disable, not Uninstall.

                              Originally posted by ZippySLC View Post
                              Disable the mod, don't uninstall it.
                              Exactly.

                              Please don't PM or VM me for support - I only help out in the threads.
                              vBulletin Manual & vBulletin 4.0 Code Documentation (API)
                              Want help modifying your vbulletin forum? Head on over to vbulletin.org
                              If I post CSS and you don't know where it goes, throw it into the additional.css template.

                              W3Schools &lt;- awesome site for html/css help

                              Comment


                              • #30
                                Originally posted by dutchbb View Post
                                Smart admins wait until all mods are ported... You can only blame yourself for this.
                                Nope disagree here.
                                Smart admins have a test forum and do a lot of testing out of their forum with the new upgrades. They aren't lazy unlike some who want others to do things. Make up your own test forum and teach yourself to get around these hassles. Afterall you are the admin and you are the one who will have different questions asked of you
                                Aussiefootyforums

                                New Site New forum
                                Come and talk sports all day long


                                Comment

                                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                                Working...
                                X